import { html as a } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (n, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, i) : t, o = n.length - 1, l; o >= 0; o--)
    (l = n[o]) && (e = (r ? l(t, i, e) : l(e)) || e);
  return r && e && f(t, i, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--calendarEdit", this.class = "c-pieIcon c-pieIcon--calendarEdit", this.name = "IconCalendarEdit";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--calendarEdit"><path d="m13.136 6.189.77.77v-3.99h-2.625V1.875H9.97v1.094H6.03V1.875H4.72v1.094H2.094v10.937h2.844l.008-.061.14-1.251h-1.68V4.28H4.72v1.094H6.03V4.281H9.97v1.094h1.312V4.281h1.313v1.392"></path><path d="m13.119 8-.875-.875a1.077 1.077 0 0 0-1.505 0l-3.92 3.867c-.17.18-.278.41-.306.657l-.263 2.336 2.336-.262c.247-.025.479-.133.656-.307l3.877-3.885a1.06 1.06 0 0 0 0-1.505zm-4.751 4.375-.56-.56 2.572-2.572.56.56z"></path></svg>`;
  }
};
c([
  p({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  p({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  v("icon-calendar-edit")
], s);
export {
  s as IconCalendarEdit
};
